accrue.analysis.ast

## Class AccrueLang_c

- java.lang.Object
- - polyglot.ast.JLang_c
  - - accrue.analysis.ast.AccrueLang_c

- All Implemented Interfaces:
    polyglot.ast.JLang, polyglot.ast.Lang

      public class AccrueLang_c
      extends polyglot.ast.JLang_c
      implements polyglot.ast.JLang

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AccrueLang_c` | `instance`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AccrueLang_c()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static AccrueExt` | `accrueExt(polyglot.ast.Node n)`

    - ### Methods inherited from class polyglot.ast.JLang_c

      `acceptCFG, addDecls, addDefaultConstructor, buildTypes, buildTypesEnter, CallOps, checkConstants, childExpectedType, ClassDeclOps, condIsConstant, condIsConstantFalse, condIsConstantTrue, constantValue, constantValueSet, constructTryBlockExceptionChecker, continueTarget, copy, copy, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckCatchBlocks, exceptionCheckEnter, exceptionCheckFinallyBlock, exceptionCheckTryBlock, ExprOps, extRewrite, extRewriteEnter, findContainer, findEnclosingClass, findQualifiedTypeNode, findQualifier, findTargetType, firstChild, isConstant, LoopOps, NewOps, NodeOps, prettyPrint, prettyPrint, prettyPrint, prettyPrintFooter, prettyPrintHeader, prettyPrintHeader, printArgs, printBody, printQualifier, printShortObjectType, ProcedureCallOps, ProcedureDeclOps, TermOps, throwTypes, translate, TryOps, typeCheck, typeCheckEnter, typeCheckFlags, typeCheckNested, typeCheckNullTarget, typeCheckOverride, visitChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface polyglot.ast.JLang

      `acceptCFG, addDefaultConstructor, checkConstants, childExpectedType, condIsConstant, condIsConstantFalse, condIsConstantTrue, constructTryBlockExceptionChecker, continueTarget, disambiguate, disambiguateEnter, disambiguateOverride, exceptionCheck, exceptionCheckCatchBlocks, exceptionCheckEnter, exceptionCheckFinallyBlock, exceptionCheckTryBlock, findContainer, findEnclosingClass, findQualifiedTypeNode, findQualifier, findTargetType, firstChild, prettyPrintFooter, prettyPrintHeader, prettyPrintHeader, printArgs, printBody, printQualifier, printShortObjectType, throwTypes, typeCheckFlags, typeCheckNested, typeCheckNullTarget`

    - ### Methods inherited from interface polyglot.ast.Lang

      `addDecls, buildTypes, buildTypesEnter, constantValue, constantValueSet, copy, copy, dump, dump, enterChildScope, enterScope, extRewrite, extRewriteEnter, isConstant, prettyPrint, prettyPrint, prettyPrint, translate, typeCheck, typeCheckEnter, typeCheckOverride, visitChildren`

- - ### Field Detail

    - #### instance

          public static final AccrueLang_c instance

  - ### Constructor Detail

    - #### AccrueLang_c

          protected AccrueLang_c()

  - ### Method Detail

    - #### accrueExt

          protected static AccrueExt accrueExt(polyglot.ast.Node n)